<?php
function tchannelFullPath($url)
{
$current_path = getcwd(); // get the current path to where the file is located
$folder = explode("/", $current_path); // divide the path in parts (aka folders)
$blog = $folder[8]; // the blog's folder is the number 8 on the path
// $root = path without the blog installation folder.
$root = realpath($_SERVER["DOCUMENT_ROOT"]);
$url = str_replace(get_bloginfo('url') , '', $url);
return $root.$dir.$url;

}
function channeller_sendphoto($chat_id, $caption, $photo,$logger)
{
	$options = get_option( 'tchannel_settings' );
    $token = $options['tchannel_text_token'];
	$photo = tchannelFullPath($photo);
//	$finfo = finfo_open(FILEINFO_MIME_TYPE);
//	$mime_type = finfo_file($finfo, $photo);
	$chatter = get_site_option( $chat_id );
	$caption = truncate_channeller ($caption , 200);
    $fields = array(
        'chat_id' => $chatter,
         // make sure you do NOT forget @ sign
         'photo' =>
          '@'            . $photo
          . ';filename=' . $photo,
        'caption' => $caption
    );

    $url = 'https://api.telegram.org/bot'.$token.'/sendPhoto';

    //  open connection
    $ch = curl_init();
    //  set the url
    curl_setopt($ch, CURLOPT_URL, $url);
    //  number of POST vars
    curl_setopt($ch, CURLOPT_POST, count($fields));
    //  POST data
    curl_setopt($ch, CURLOPT_POSTFIELDS, $fields);
    //  To display result of curl
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, false);
    //  execute post
    $result = curl_exec($ch);
    //  close connection
    curl_close($ch);
	$resulter = '-';
	$options = get_option( 'tchannel_settings' );
    $logview = $options['tchannel_log'];
	if ($logview == 'yes'){
	channeller_log(__( 'Send Photo', 'tchannel' ), $resulter ,$chat_id,$logger);
	}
}
function channeller_sendmessagebot ($user_id,$message,$logger) {
	$options = get_option( 'tchannel_settings' );
    $token = $options['tchannel_text_token'];
	$message = truncate_channeller ($message , 3000);
	if ($token) {
	$url = 'https://api.telegram.org/bot'.$token.'/sendMessage';
	$data = array('chat_id' => $user_id,'text' => $message,'parse_mode' => 'HTML');
		$options = array(
        'http' => array(
        'header'  => "Content-type: application/x-www-form-urlencoded\r\n",
        'method'  => 'POST',
        'content' => http_build_query($data),
		)
	);
	$context  = stream_context_create($options);
	$update = @file_get_contents($url, false, $context);
	$results = json_decode($update, true);
    $status = $results['ok'];
	if ($status == 'true') {$resulter = __( 'Sent', 'tchannel' );} else {$resulter = __( 'Not Sent', 'tchannel' );}
	$options = get_option( 'tchannel_settings' );
    $logview = $options['tchannel_log'];
	if ($logview == 'yes'){
		
	channeller_log(__( 'Send Text', 'tchannel' ), $resulter ,$user_id,$logger);
	}
	$resulter = $results['result'];
	$chat = $resulter['chat'];
	$chat_id = $chat['id'];
	if(!$chat_id == '') {update_site_option( $user_id, $chat_id ); }

	//end send message
	}
}
?>